| Flutter iOS Embedder |

Public Member Functions | List of all members
flutter::IOSContextMetalImpeller Class Referencefinal

`#include <ios_context_metal_impeller.h>`

Inheritance diagram for flutter::IOSContextMetalImpeller:

## Public Member Functions
| IOSContextMetalImpeller (const Settings &settings, const std::shared_ptr< const fml::SyncSwitch > &is_gpu_disabled_sync_switch)
| ~IOSContextMetalImpeller ()
IOSRenderingBackend | GetBackend () const override
| Get the rendering backend used by this context. More...
Public Member Functions inherited from flutter::IOSContext
virtual | ~IOSContext ()
| Collects the context object. This must happen on the thread on which this object was created. More...

## Additional Inherited Members
Static Public Member Functions inherited from flutter::IOSContext
static std::unique_ptr< IOSContext > | Create (IOSRenderingAPI api, IOSRenderingBackend backend, const std::shared_ptr< const fml::SyncSwitch > &is_gpu_disabled_sync_switch, const Settings &settings)
| Create an iOS context object capable of creating the on-screen and off-screen GPU context for use by Impeller. More...
Protected Member Functions inherited from flutter::IOSContext
| IOSContext ()

## Detailed Description

Definition at line 21 of file ios_context_metal_impeller.h.

## Constructor & Destructor Documentation

## ◆ IOSContextMetalImpeller()

flutter::IOSContextMetalImpeller::IOSContextMetalImpeller | ( | const Settings & | settings,
|  | const std::shared_ptr< const fml::SyncSwitch > & | is_gpu_disabled_sync_switch
| ) |  |
| explicit

## ◆ ~IOSContextMetalImpeller()

flutter::IOSContextMetalImpeller::~IOSContextMetalImpeller | ( |  | ) |

## Member Function Documentation

## ◆ GetBackend()

IOSRenderingBackend flutter::IOSContextMetalImpeller::GetBackend | ( |  | ) | const
| overridevirtual

Get the rendering backend used by this context.

Returns
  The rendering backend.

Reimplemented from flutter::IOSContext.

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/ios_context_metal_impeller.h